@extends('layout')

@section('title') update comment @endsection

@section('content')

  <form method="get" action="/public/posts/post"><button type="submit" name="id" value="{{$comment->post[0]->id}}" class="back">Назад к публикации</button></form>

  <div class="post" style="margin-left: 7%;"><div style="margin: 10px;">{{$comment->post[0]->text}}</div></div>

  <form method="post" action="/public/posts/comment/update" class="update_comment">
    <input type="text" style="opacity: 0; width: 0" name="id" value="{{$comment->id}}">
    @csrf
    <div>
      <div style="text-align: right">
        <label>Автор изменений:</label>
        <select name="user" style="width: 100%;" value="{{old('user')}}">
          @if (old('user') == $comment->user[0]->id) <option value="{{$comment->user[0]->id}}" selected>{{$comment->user[0]->name}}</option>
          @else <option value="{{$comment->user[0]->id}}">{{$comment->user[0]->name}}</option>
          @endif
          @foreach ($admins as $admin)
            @if ($admin->id != $comment->user[0]->id)
              @if (old('user') == $admin->id) <option value="{{$admin->id}}" selected>{{$admin->name}}</option>
              @else <option value="{{$admin->id}}">{{$admin->name}}</option>
              @endif
            @endif
          @endforeach
        </select>
        @error('user') <div style="color: #a9203e">{{$message}}</div> @enderror
      </div>
      <button type="submit" name="button" value="new">Опубликовать</button>
    </div>
    <textarea cols="40" rows="3" name="text" placeholder="Введите текст комментария...">{{$comment->text}}</textarea>
    @error('text') <div style="color: #a9203e">{{$message}}</div> @enderror
  </form>

  <div style="width: 99.1%; margin-left: -10px; margin-bottom: 20px; padding: 15px; font-size: 15pt; background-color: #c5d1e8">Ранние изменения поста:</div>

  <div style="display: flex; flex-direction: column; gap: 20px;">
    @each("moderates.moderate", $moderates, "moderate")
  </div>

  @yield('action-button')

@endsection
