@extends('layout')

@section('title') Posts @endsection

@section('content')
  <form method="post" action="/public/posts/insert" class="new_post">
    @csrf
    <div>
      <div style="text-align: right">
        <label>Автор:</label>
        <select name="user" style="width: 100%;" value="{{old('user')}}">
          @foreach ($users as $user)
            @if (old('user') == $user->id) <option value="{{$user->id}}" selected>{{$user->name}}</option>
            @else <option value="{{$user->id}}">{{$user->name}}</option>
            @endif
          @endforeach
        </select>
        @error('user') <div style="color: #a9203e">{{$message}}</div> @enderror
      </div>
      <div style="text-align: right">
        <label>Дата публикации:</label>
        <input name="date_publication" type="date" style="width: 100%" value="{{old('date_publication')}}"/>
        @error('date_publication') <div style="color: #a9203e">{{$message}}</div> @enderror
      </div>
      <button type="submit" name="button" value="new">Опубликовать</button>
    </div>
    <textarea cols="40" rows="3" name="text" placeholder="Введите текст поста...">{{old('text')}}</textarea>
    @error('text') <div style="color: #a9203e">{{$message}}</div> @enderror
  </form>
  <div style="margin-left: 7%; display: flex; flex-direction: column; gap: 30px;">
    @each("posts.post", $posts, "post")
  </div>
  @yield('action-button')

@endsection
