@extends('layout')

@section('title') Update Posts @endsection

@section('content')
  <form method="post" action="/public/posts/update" class="new_post">
    <input type="text" style="opacity: 0; width: 0" name="id" value="{{$post->id}}">
    @csrf
    <div>
      <div style="text-align: right">
        <label>Автор изменений:</label>
        <select name="user" style="width: 100%;" value="{{old('user')}}">
          @if (old('user') == $post->user[0]->id) <option value="{{$post->user[0]->id}}" selected>{{$post->user[0]->name}}</option>
          @else <option value="{{$post->user[0]->id}}">{{$post->user[0]->name}}</option>
          @endif
          @foreach ($admins as $admin)
            @if ($admin->id != $post->user[0]->id)
              @if (old('user') == $admin->id) <option value="{{$admin->id}}" selected>{{$admin->name}}</option>
              @else <option value="{{$admin->id}}">{{$admin->name}}</option>
              @endif
            @endif
          @endforeach
        </select>
        @error('user') <div style="color: #a9203e">{{$message}}</div> @enderror
      </div>
      <button type="submit" name="button" value="new">Опубликовать изменения</button>
      <a href="/public/posts">Ко всем постам</a>
    </div>
    <textarea cols="40" rows="3" name="text" placeholder="Введите текст поста...">{{$post->text}}</textarea>
    @error('text') <div style="color: #a9203e">{{$message}}</div> @enderror
  </form>

  <div style="width: 99.1%; margin-left: -10px; margin-bottom: 20px; padding: 15px; font-size: 15pt; background-color: #c5d1e8">Ранние изменения поста:</div>

  <div style="margin-left: 7%; display: flex; flex-direction: column; gap: 30px;">
    @each("moderates.moderate", $moderates, "moderate")
  </div>

  @yield('action-button')

@endsection
